Name:           gkrellm-themes
Version:        2.1.9
Release:        4
Summary:        Themes for the GNU Krell Monitor

Group:          Applications/System
License:        GPL
URL:            http://muhri.net/gkrellm/
Source0:        http://muhri.net/gkrellm/GKrellM-Skins.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       gkrellm >= 2.0.0

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.

This package contains various themes to use with GKrellM. You will of
course have to install the main GKrellM package to use them.


%prep
%setup -q -n GKrellM-skins
# dedupe
rm -f aliens.tgz cyrus.gkrellm.tar.gz glass.gkrellm.tar.gz IReX.tar.gz


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/gkrellm2/themes
for file in *gz ; do
    %{__tar} zxC $RPM_BUILD_ROOT%{_datadir}/gkrellm2/themes -f $file \
        --exclude CVS \
        --exclude "*~" \
        --exclude "*.swp" \
        --exclude .xvpics
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_datadir}/gkrellm2/themes/*


%changelog
* Sat Mar  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.1.9-4
- Rebuild, cosmetic specfile improvements.

* Tue Jan 17 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.1.9-3
- Switch to latest (2003-01-29) muhri.net tarball.
- Remove more backup etc junk from installed files.
- Convert specfile to UTF-8.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.1.9-2
- rebuilt

* Tue Apr  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.9-0.fdr.1
- Don't install CVS dirs.
- Use fixed defattrs.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.8 - 0.fdr.3
- Added Epoch:0.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.8 - 0.fdr.2
- Updated for Fedora.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 2.1.8 - 0.fdr.1
- Fedorafied.

* Sat Jan 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added all the latest themes from muhri.net.

* Wed Oct  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the great yummiyogurt theme still not on muhri.net.

* Thu Oct  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Repackages *all* available themes from muhri.net.

* Mon Apr 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added some more themes.

* Sun Dec 31 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release with a few themes I like.

